commit: 998822cb901beac98d50e9a5a2e880f26fac85a2
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 19 22:16:20 2016 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Apr 19 22:16:49 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=998822cb
sys-auth/keystone: relax wsgi deps bug 580218
Package-Manager: portage-2.2.26
sys-auth/keystone/keystone-2016.1.9999.ebuild | 6 +++++-
sys-auth/keystone/keystone-9.0.0.ebuild | 6 +++++-
2 files changed, 10 insertions(+), 2 deletions(-)
diff --git a/sys-auth/keystone/keystone-2016.1.9999.ebuild
b/sys-auth/keystone/keystone-2016.1.9999.ebuild
index f50addb..41da0d7 100644
--- a/sys-auth/keystone/keystone-2016.1.9999.ebuild
+++ b/sys-auth/keystone/keystone-2016.1.9999.ebuild
@@ -93,7 +93,11 @@ RDEPEND="
<=dev-python/python-ldap-2.4.20[$(python_gen_usedep
'python2_7')]
~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
)
- www-servers/uwsgi[python,${PYTHON_USEDEP}]"
+ || (
+ www-servers/uwsgi[python,${PYTHON_USEDEP}]
+ www-apache/mod_wsgi[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ )"
#PATCHES=(
#)
diff --git a/sys-auth/keystone/keystone-9.0.0.ebuild
b/sys-auth/keystone/keystone-9.0.0.ebuild
index 178084b..cacbdbc 100644
--- a/sys-auth/keystone/keystone-9.0.0.ebuild
+++ b/sys-auth/keystone/keystone-9.0.0.ebuild
@@ -92,7 +92,11 @@ RDEPEND="
<=dev-python/python-ldap-2.4.20[$(python_gen_usedep
'python2_7')]
~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
)
- www-servers/uwsgi[python,${PYTHON_USEDEP}]"
+ || (
+ www-servers/uwsgi[python,${PYTHON_USEDEP}]
+ www-apache/mod_wsgi[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ )"
#PATCHES=(
#)